org.apache.solr.client.solrj.impl

## Class DelegationTokenHttpSolrClient

- java.lang.Object
- - org.apache.solr.client.solrj.SolrClient
  - - org.apache.solr.client.solrj.impl.HttpSolrClient
    - - org.apache.solr.client.solrj.impl.DelegationTokenHttpSolrClient

- All Implemented Interfaces:
    Closeable, Serializable, AutoCloseable

      public class DelegationTokenHttpSolrClient
      extends HttpSolrClient

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.impl.HttpSolrClient

      `HttpSolrClient.Builder, HttpSolrClient.HttpUriRequestResponse, HttpSolrClient.RemoteSolrException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DELEGATION_TOKEN_PARAM`

    - ### Fields inherited from class org.apache.solr.client.solrj.impl.HttpSolrClient

      `AGENT, baseUrl, invariantParams, parser, requestWriter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegationTokenHttpSolrClient(String baseURL, org.apache.http.client.HttpClient client, ResponseParser parser, boolean allowCompression, String delegationToken)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.http.client.methods.HttpRequestBase` | `createMethod(SolrRequest request, String collection)`
    `void` | `setQueryParams(Set<String> queryParams)` Expert Method

    - ### Methods inherited from class org.apache.solr.client.solrj.impl.HttpSolrClient

      `calculateQueryParams, close, executeMethod, getBaseURL, getHttpClient, getInvariantParams, getParser, getQueryParams, httpUriRequest, httpUriRequest, isUseMultiPartPost, request, request, request, setAllowCompression, setBaseURL, setConnectionTimeout, setDefaultMaxConnectionsPerHost, setFollowRedirects, setMaxTotalConnections, setParser, setRequestWriter, setSoTimeout, setUseMultiPartPost`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrClient

      `add, add, add, add, add, add, add, add, add, add, addBean, addBean, addBean, addBean, addBeans, addBeans, addBeans, addBeans, addBeans, addBeans, commit, commit, commit, commit, commit, commit, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteByQuery, deleteByQuery, deleteByQuery, deleteByQuery, getBinder, getById, getById, getById, getById, getById, getById, getById, getById, optimize, optimize, optimize, optimize, optimize, optimize, ping, query, query, query, query, queryAndStreamResponse, queryAndStreamResponse, request, rollback, rollback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELEGATION_TOKEN_PARAM

          public static final String DELEGATION_TOKEN_PARAM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DelegationTokenHttpSolrClient

          public DelegationTokenHttpSolrClient(String baseURL,
                                               org.apache.http.client.HttpClient client,
                                               ResponseParser parser,
                                               boolean allowCompression,
                                               String delegationToken)

  - ### Method Detail

    - #### createMethod

          protected org.apache.http.client.methods.HttpRequestBase createMethod(SolrRequest request,
                                                                                String collection)
                                                                         throws IOException,
                                                                                SolrServerException

      Overrides:
        `createMethod` in class `HttpSolrClient`
      Throws:
        `IOException`
        `SolrServerException`

    - #### setQueryParams

          public void setQueryParams(Set<String> queryParams)

      Description copied from class: `HttpSolrClient`
      Expert Method
      Overrides:
        `setQueryParams` in class `HttpSolrClient`
      Parameters:
        `queryParams` - set of param keys to only send via the query string Note that the param will be sent as a query string if the key is part of this Set or the SolrRequest's query params.
      See Also:
        `SolrRequest.getQueryParams()`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.